#include <stdio.h>
#include <process.h>
#include "modplay.inc"

unsigned int _stklen  = 0x1000;		/* set stack size to 4kB */
unsigned int _heaplen = 0x0000;		/* no heap required      */

unsigned char Mod_File[128];
unsigned char *DOS_Shell="C:\\COMMAND.COM";

void main(int argc, char *argv[])
{
 if (argc>1) {
  strcpy(Mod_File, argv[1]);
  Mod_Init(Detection,0,0,0);
  Mod_Load(Mod_File);
  if (Channels!=0) {
   Mod_Play(1);
   DOS_Shell=getenv("COMSPEC");
   if (spawnl(P_WAIT, DOS_Shell, NULL)!=-1) printf("\nReturned... Music output stopped.\n");
  }
 }
 else printf("\nPlease specify a modulefile on the commandline !\n");
}
